function macro.init()
	
	local tab = {};
	tab["x1"] = 0;
	tab["y1"] = 0;
	tab["x2"] = 350; 
	tab["y2"] = 350;
	cv.setMaskFilter(tab);
	-- track down all motions
	local result_num = cv.motions2(0, 5500, 100, 2, 300, false, true);
	print("number: "..result_num)
	if(result_num > 0)then
		local objects_in_motions_table = {cv.motions_next()};
		local centerx = objects_in_motions_table[1].x;
		local centery = objects_in_motions_table[1].y;
		local width =  objects_in_motions_table[1].width;
		local height = objects_in_motions_table[1].height;
		print("Center X: "..centerx.." Center Y: "..centery.." Width: "..width.." Height: "..height);
	end
	
end

function macro.main()
	-- testing the map option
	map.set("var","test?");
	map.set("var2",1234234);
	map.set("var3",true);
	map.set("var4", 2.5678);
	--string test
	print("Test String");
	local myvar = map.get("var");
	print("Var: "..myvar);
		-- int test
	print("Test Integer");
	local myvar2 = map.get("var2");
	print("Var: "..myvar2.."");
	-- number test
	print("Test Number");
	local myvar4 = map.get("var4");
	print("Var: "..myvar4.."");
	-- bool test
	print("Test Boolean");
	local myvar3 = map.get("var3");
	if(myvar3 == true)then
		print("Found Boolean");
	end
	return  false;
end

function macro.event()

end